unit PointsListDlg;

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, ComCtrls, Buttons, {$IFDEF FPC}MaskEdit{$ELSE}Mask{$ENDIF};

type
  { TPointsListDlgForm }

  TPointsListDlgForm = class(TForm)
    ClearPointsBtn: TSpeedButton;
    CancelBtn: TButton;
    ApplyBtn: TButton;
    PointsListHeaderCtrl: THeaderControl;
    PntsHeaderPanel: TPanel;
    InfoHeaderPanel: TPanel;
    PointPanelSepItem: TPanel;
    PanelList: TPanel;
    PanelInfo: TPanel;
    PanelBottom: TPanel;

    PointsScrollBox: TScrollBox;
    Splitter1: TSplitter;
    PanelEditPnt: TPanel;
    PointEditPanelSepItem: TPanel;

    Pnt1PanelDefPos: TPanel;
    PntNumLbl: TLabel;
    LatLbl: TLabel;
    LngLbl: TLabel;
    LatDegMinSecMaskEdit: TMaskEdit;
    LngDegMinSecMaskEdit: TMaskEdit;
    LatDegEdit: TEdit;
    LngDegEdit: TEdit;
    HemiSpereNBtn: TSpeedButton;
    HemiSpereSBtn: TSpeedButton;
    HemiSpereEBtn: TSpeedButton;
    HemiSpereWBtn: TSpeedButton;
    AltAbsLbl: TLabel;
    AltRelLbl: TLabel;
    AltAbsEdit: TEdit;
    AltRelEdit: TEdit;
    SpeedEdit: TEdit;
    ManeuvreComBox: TComboBox;
    ManeuvreInPntChckBox: TCheckBox;
    ManeuvreHeadingLbl: TLabel;
    ManeuvreHeadingEdit: TEdit;
    EditRoutePntBtn: TButton;
    SwitchHemiNSEdit: TEdit;
    SwitchHemiEWEdit: TEdit;
    ManeuvreLenLbl: TLabel;
    ManeuvreWidthLbl: TLabel;
    ManeuvreLengthUnitsLbl: TLabel;
    ManeuvreWidthUnitsLbl: TLabel;
    ManeuvreLenEdit: TEdit;
    ManeuvreWidthEdit: TEdit;
    DeleteRoutePntBtn: TButton;
    AddBtn: TButton;

    PanelSetBeingEdPrms: TPanel;

    procedure FormCreate(Sender: TObject);

  private
    { private declarations }

  public
    { public declarations }
  end;

var
  PointsListDlgForm: TPointsListDlgForm;

implementation

uses
  Math;

{$IFDEF FPC}
  {$R *.lfm}
{$ELSE}
  {$R *.dfm}
{$ENDIF}

{ TPointsListDlgForm }

procedure TPointsListDlgForm.FormCreate(Sender: TObject);
begin
  FormStyle := fsStayOnTop;
end;

end.


